<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pelanggarans', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id'); // penginput (guru/pengurus)
            $table->unsignedBigInteger('santri_id');
            $table->unsignedBigInteger('kelas_id');
            $table->string('jenis_pelanggaran');
            $table->enum('hukuman', ['Teguran Lisan', 'Teguran Tertulis', 'Skorsing', 'Lainnya']);
            $table->string('keterangan_hukuman')->nullable();
            $table->enum('hukuman_selesai', ['belum', 'selesai'])->default('belum');            // untuk menandai selesai/tidaknya hukuman
            $table->timestamps();

            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
            $table->foreign('santri_id')->references('id')->on('santris')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pelanggarans');
    }
};
